认识点(XYZ)和线(Curve)

认识点(XYZ)和线(Curve)

  1. 点和线是看不到的用它来创建元素,比如基于点的用XYZ基于线的用Curve的子类Line或Arc
  2. 点XYZ
  • 创建点为new XYZ(X,Y,z)
  1. 线 Curve子类有Line和Arc
  • Line创建:Line.Create (xyz1,xyz2)
  • Arc创建: Arc.Create()
using Autodesk.Revit.Attributes;
using Autodesk.Revit.DB;
using Autodesk.Revit.UI;
using pro.util;

namespace pro
{

    [Transaction(TransactionMode.Manual)]
    public class Class1 : IExternalCommand
    {
        public Result Execute(ExternalCommandData commandData, ref string message, ElementSet elements)
        {
            UIApplication uiApp = commandData.Application;
            UIDocument uIDocument = uiApp.ActiveUIDocument;
            Document document = uIDocument.Document;
            //可载入族的族类型和族获取方式
            FamilyInstance door = document.GetElement(new ElementId(338289)) as FamilyInstance;
            //得到门的点
            XYZ xyz = (door.Location as LocationPoint).Point;


            Wall wall = document.GetElement(new ElementId(336406)) as Wall;
            //得到墙的线
            Curve curve = (wall.Location as LocationCurve).Curve;
            XYZ startXyz = curve.GetEndPoint(0);
            XYZ endXyz = curve.GetEndPoint(1);

            Line wallLine = curve as Line;
            return Result.Succeeded;
        }
    }
}

  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值